.gallery-page .header {
    z-index: 1030;
}

.gallery-page .header-content {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.gallery-page .buttons-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: -24px;
    flex: 1;
}

.gallery-page .theme-switch {
    margin-left: 20px;
    margin-right: 0;
}

.gallery-page .image-container {
    display: block;
    margin-top: 80px;
    margin-bottom: 60px;
    padding: 15px;
}

.gallery-page .image-container img {
    display: block;
    max-width: 100%;
    height: auto;
    margin: 0 auto;
    object-fit: contain;
    cursor: pointer;
}

.gallery-page .btn.disabled {
    pointer-events: none;
    opacity: 0.65;
}

.gallery-page .dropdown-menu {
    background-color: var(--header-bg);
    color: var(--text-color);
    border: 1px solid var(--text-color);
}

.gallery-page .dropdown-item {
    color: var(--text-color);
}

.gallery-page .dropdown-item:hover,
.gallery-page .dropdown-item:focus {
    background-color: var(--button-font-color);
    color: var(--button-backgroud-color);
}

.voting-section {
    margin-bottom: 1rem;
}